MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023886Community[OCCT] OCCT:Visualizationpublic2013-04-09 16:462014-11-11 13:01
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023886: Visualizing planar faces with "notches" depends heavily on the deflection coefficient
DescriptionAttached some sample BREP files with affected planar faces (they seem to be valid).

If the deflection coefficient is too big the faces are visualized incorrectly in the shaded mode.

On the attached pictures it can be seen what deflection values were used for each face.
Steps To Reproducepload ALL
restore face_01.brep s
vinit
vdisplay s
vfit
vsetdispmode s 1
vsetshading s 0.00001
vsetshading s 0.01
TagsNo tags attached.
Test case numberbugs vis(004) bug23886_1,bug23886_2,bug23886_3
Attached Files? file icon face_01.brep (10,954 bytes) 2013-04-09 16:46
png file icon face_01.png (20,721 bytes) 2013-04-09 16:46
? file icon face_02.brep (15,501 bytes) 2013-04-09 16:47
png file icon face_02.png (16,703 bytes) 2013-04-09 16:47
? file icon face_03.brep (16,636 bytes) 2013-04-09 16:47
png file icon face_03.png (19,779 bytes) 2013-04-09 16:47

- Relationships
related to 0024959closedbugmaster Open CASCADE GCPnts_TangentialDeflection does not implement functionality by its meaning in case of BSpline with local splash 

-  Notes
(0024119)
abv (manager)
2013-04-12 15:43

I guess there is an option to define angular deflection which can help getting better result while keeping linear deflection reasonably high...
(0032215)
abv (manager)
2014-09-26 12:16

The problem can be avoided by setting appropriate angular deflection, e.g.:

vdefaults angDefl=1

I propose adding a test case and closing the issue
(0032849)
git (administrator)
2014-10-08 20:42

Branch CR23886 has been created by mkv.

SHA-1: 6319164c6ba9bed9194afeb3286aa5b91e54a034


Detailed log of new commits:

Author: mkv
Date: Wed Oct 8 20:41:47 2014 +0400

    Test cases for issue CR23886
(0032861)
mkv (tester)
2014-10-09 10:34

Dear BugMaster,
Test cases bugs/vis(004)/bug23886_1,bug23886_2,bug23886_3 is created and pushed to new branch CR23886 of occt git-repository.

Test cases bugs/vis(004)/bug23886_2,bug23886_3 are OK.

http://occt-tests/master-CR25323-occt/Debian60-64/bugs/vis/bug23886_2.html [^]
http://occt-tests/master-CR25323-occt/Windows-32-VC10/bugs/vis/bug23886_2.html [^]

http://occt-tests/master-CR25323-occt/Debian60-64/bugs/vis/bug23886_3.html [^]
http://occt-tests/master-CR25323-occt/Windows-32-VC10/bugs/vis/bug23886_3.html [^]


Test case bugs/vis(004)/bug23886_1 have different images. Dear abv, it is normal?

http://occt-tests/master-CR25323-occt/Debian60-64/bugs/vis/bug23886_1.html [^]
http://occt-tests/master-CR25323-occt/Windows-32-VC10/bugs/vis/bug23886_1.html [^]
(0032865)
abv (manager)
2014-10-09 10:43

Yep, it is normal that images are different for different deflections used
(0032882)
mkv (tester)
2014-10-09 13:37

OK.
(0033002)
oan (developer)
2014-10-13 10:48
edited on: 2014-10-13 10:50

Dear MKV,
please remove line

vdefaults angDefl=1

from test cases, use test script provided by reporter and run tests again.

Bug should be solved using functionality from 0024959 without any cheats.

(0033418)
git (administrator)
2014-10-21 16:42

Branch CR23886 has been deleted by inv.

SHA-1: 6319164c6ba9bed9194afeb3286aa5b91e54a034

- Related Changesets
occt: master de6f281f
Timestamp: 2014-10-08 16:41:47
Author: mkv
Committer: bugmaster
Details ] Diff ]
0023886: Visualizing planar faces with "notches" depends heavily on the deflection coefficient

Test cases for issue CR23886
add - tests/bugs/vis/bug23886_1 Diff ] File ]
add - tests/bugs/vis/bug23886_2 Diff ] File ]
add - tests/bugs/vis/bug23886_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-09 16:46 Pawel New Issue
2013-04-09 16:46 Pawel Assigned To => bugmaster
2013-04-09 16:46 Pawel File Added: face_01.brep
2013-04-09 16:46 Pawel File Added: face_01.png
2013-04-09 16:47 Pawel File Added: face_02.brep
2013-04-09 16:47 Pawel File Added: face_02.png
2013-04-09 16:47 Pawel File Added: face_03.brep
2013-04-09 16:47 Pawel File Added: face_03.png
2013-04-12 15:31 Pawel Product Version 6.6.0 => 6.7.0
2013-04-12 15:34 Pawel Product Version 6.7.0 => 6.6.0
2013-04-12 15:34 Pawel Target Version => 6.7.0
2013-04-12 15:43 abv Note Added: 0024119
2013-12-12 10:57 san Target Version 6.7.0 => 6.7.1
2014-04-04 18:32 abv Target Version 6.7.1 => 6.8.0
2014-05-26 16:24 oan Relationship added related to 0024959
2014-09-26 12:16 abv Note Added: 0032215
2014-09-26 12:16 abv Status new => feedback
2014-09-26 14:23 bugmaster Assigned To bugmaster => mkv
2014-10-08 20:42 git Note Added: 0032849
2014-10-09 10:34 mkv Note Added: 0032861
2014-10-09 10:35 mkv Test case number => bugs vis(004) bug23886_1,bug23886_2,bug23886_3
2014-10-09 10:35 mkv Assigned To mkv => abv
2014-10-09 10:43 abv Note Added: 0032865
2014-10-09 10:50 abv Assigned To abv => mkv
2014-10-09 13:37 mkv Note Added: 0032882
2014-10-09 13:37 mkv Assigned To mkv => bugmaster
2014-10-09 13:37 mkv Status feedback => tested
2014-10-13 10:48 oan Note Added: 0033002
2014-10-13 10:48 oan Assigned To bugmaster => mkv
2014-10-13 10:48 oan Status tested => feedback
2014-10-13 10:49 oan Note Edited: 0033002 View Revisions
2014-10-13 10:50 oan Note Edited: 0033002 View Revisions
2014-10-13 17:52 bugmaster Changeset attached => occt master de6f281f
2014-10-13 17:52 bugmaster Assigned To mkv => bugmaster
2014-10-13 17:52 bugmaster Status feedback => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-21 16:42 git Note Added: 0033418
2014-11-11 12:43 user533 Fixed in Version => 6.8.0
2014-11-11 13:01 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker